"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getImageBuffer = exports.clearImage = void 0;
const jimp_1 = __importDefault(require("jimp"));
async function clearImage(imgPath) {
    const jimp = await jimp_1.default.read(imgPath);
    return jimp
        .resize(400, jimp_1.default.AUTO)
        .color([{ apply: "desaturate", params: [20] }])
        .contrast(1)
        .normalize();
}
exports.clearImage = clearImage;
async function getImageBuffer(imgJimp) {
    return await imgJimp.getBufferAsync(jimp_1.default.MIME_PNG);
}
exports.getImageBuffer = getImageBuffer;
//# sourceMappingURL=imageProcessing.js.map